## unixodbc 2.3.6

=== debian/changelog ===
unixodbc (2.3.6-0.1) unstable; urgency=medium

  * Non-maintainer upload.
  * New upstream release (Closes: #888968).
    - Fix buffer overflow when calling unicode_to_ansi_copy() in
      DriverManager/SQLDriverConnectW.c (CVE-2018-7409) (Closes: #891596).
    - Package upstream manpages instead of Debian versions (Closes: #893891).
    - Fix potential buffer overflow vulnerabilities in SQLDriverConnect
      functions (CVE-2012-2657 and CVE-2012-2658) (Closes: #675058).
    - Install pkg-config files (Closes: #422207).
  * Switch to dpkg-source 3.0 (quilt) format.
  * Update debhelper package compatibility to level 11.
  * debian/changelog: Remove trailing whitespace.
  * debian/control:
    - Build-Depend on debhelper version 11.
    - Remove dh-autoreconf from the Build-Depends list.
    - Raise Standards-Version to 4.1.4 from 3.9.8 (no changes needed).
    - Remove the Vcs-fields until the package repository moves to Salsa.
    - Remove the deprecated Priority: extra field from unixodbc-dev.
    - Use the inherited Section field for libodbc1 and odbcinst1debian2.
    - Update package descriptions for odbcinst1debian2 and odbcinst.
    - Drop un-needed Conflicts field from unixodbc.
  * debian/copyright:
    - Use secure HTTP in the Format field.
    - Update Copyright information for unixODBC 2.3.6.
  * debian/docs:
     - Rename to unixodbc.docs.
  * debian/patches:
    - Convert unixodbc_2.3.4-1.1.diff into patches.
    - Add a patch to prevent __post_inernal_error() from being exported.
    - Add a patch to fix spelling errors in DRVConfig/txt/drvcfg.c.
    - Add a patch to fix spelling and formatting in odbcinst.ini.5.
    - Forward some patches upstream.
  * debian/rules:
    - Add 'hardening=+all' to DEB_BUILD_MAINT_OPTIONS.
    - Remove '--with autoreconf' (now handled by debhelper >= level 10).
    - Remove dh_auto_clean override.
    - Compile with the default CXXFLAGS options.
  * Add debian/watch file.
  * Remove a lintian override (symbols-file-contains-debian-revision).
  * Remove debian/clean (no longer needed).
  * Remove debian/odbcinst.postinst (no longer needed).
  * Remove debian/dirs: /usr/lib/odbc has been replaced by multi-arch paths.

 -- Hugh McMaster <hugh.mcmaster@outlook.com>  Wed, 09 May 2018 21:53:53 +1000

unixodbc (2.3.4-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * debian/control:
    - Mark unixodbc-dev Multi-Arch: same (Closes: #872411).
    - Depend on libltdl-dev instead of libltdl3-dev.
  * debian/rules:
    - Compile with --enable-fastvalidate to avoid performance degradation
      when working with large numbers of handles (Closes: #819622).
    - Move unixodbc_conf.h to /usr/include/<triplet> to avoid
      a file conflict on multi-arch systems.

 -- Hugh McMaster <hugh.mcmaster@outlook.com>  Tue, 07 Nov 2017 18:12:44 +1100

unixodbc (2.3.4-1) unstable; urgency=medium

  * New upstream release.  Closes: #843847.
    - Drop patches to autogenerated files in the source tree, since we use
      dh-autoreconf already.
    - Drop AM_MAINTAINER_MODE, no longer needed due to the above.
    - Drop no-longer-used lintian override.
  * Standards-Version to 3.9.8.

 -- Steve Langasek <vorlon@debian.org>  Mon, 12 Dec 2016 10:55:09 +0000

unixodbc (2.3.1-5) unstable; urgency=low

  * Make unixodbc-dev depend directly on libodbc1, not just transitively
    via unixodbc, now that unixodbc is Multi-Arch: foreign.
    Closes: #839170.
  * Fix unixodbc-dev package section.  Closes: #813991.

 -- Steve Langasek <vorlon@debian.org>  Thu, 29 Sep 2016 13:13:32 -0700

unixodbc (2.3.1-4.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Use AC_CONFIG_MACRO_DIR([libltdl/m4]) in configure.in
    instead of ACLOCAL_AMFLAGS=-I libltdl/m4 in Makefile.am
    to add libltdl/m4 macro directory. Closes: #818407.

 -- John Paul Adrian Glaubitz <glaubitz@physik.fu-berlin.de>  Mon, 04 Apr 2016 23:51:00 +0200

unixodbc (2.3.1-4) unstable; urgency=medium

  * odbcinst/_SQLGetInstalledDrivers.c: don't open /etc/odbcinst.ini for
    writing when we never write to it.  Closes: #801258.

 -- Steve Langasek <vorlon@debian.org>  Wed, 07 Oct 2015 19:29:52 -0700

unixodbc (2.3.1-3) unstable; urgency=low

  * DriverManager/SQLConnect.c: put a mutex around the call to
    lt_dlsetsearchpath(), to avoid double-frees in a multithreaded context.
    Closes: #746423.

 -- Steve Langasek <vorlon@debian.org>  Wed, 30 Apr 2014 00:35:50 +0000

unixodbc (2.3.1-2) unstable; urgency=medium

  * Use dh-autoreconf instead of a homegrown autotools target; this fixes
    problems caused by config.sub having the wrong permissions in the upstream
    tarball.  Closes: #738516.

 -- Steve Langasek <vorlon@debian.org>  Sun, 06 Apr 2014 09:58:18 +0000

unixodbc (2.3.1-1) unstable; urgency=low

  * New upstream release.  Closes: #650267.
    - Drop changes to exe/isql.c, exe/odbcinst.c, exe/iusql.c, fixed
      differently upstream.
    - Drop libgtrtst library from libodbc1; this is technically an ABI
      change, but nothing has ever used this library so we're not changing
      the package name.
    - Since the library ABI has not changed in Debian (ever), keep the
      package names the same and provide backwards-compatible symlinks to
      avoid an unnecessary library transition; and update the symbols/shlibs
      to make it clear the old versions of the library don't satisfy these
      dependencies any longer.
  * Bump the build dependency on debhelper to 9.
  * Fix LDFLAGS handling so that we pick up hardening flags properly.
    Closes: #717257.
  * Fix debian/copyright to comply with copyright-format 1.0.
  * Update to Standards-Version 3.9.4.
  * Fix the section of the odbcinst package.  Closes: #663077.
  * Update the odbcinst manpage to document all the current options.
    Closes: #709968

 -- Steve Langasek <vorlon@debian.org>  Mon, 14 Oct 2013 06:10:57 +0000

unixodbc (2.2.14p2-5) unstable; urgency=low

  * Mark unixodbc Multi-Arch: foreign.


