=== debian/control ===
Source: unixodbc
Build-Depends: debhelper (>= 11), dh-exec, libreadline-dev, libltdl-dev
Build-Conflicts: unixodbc-dev
Section: libs
Priority: optional
Maintainer: Steve Langasek <vorlon@debian.org>
Standards-Version: 4.1.4
Homepage: http://www.unixodbc.org/

Package: unixodbc
Architecture: any
Multi-Arch: foreign
Section: database
Depends: ${shlibs:Depends}, ${misc:Depends}, libodbc1 (>= 2.2.14p2-3)
Description: Basic ODBC tools
 UnixODBC is an implementation of the Open Database Connectivity standard,
 a database abstraction layer that allows applications to be used with
 many different relational databases by way of a single library.
 .
 This package contains isql, a command-line tool that allows SQL commands
 to be entered interactively.

Package: libodbc1
Architecture: any
Multi-Arch: same
Depends: ${shlibs:Depends}, ${misc:Depends}
Pre-Depends: ${misc:Pre-Depends}
Suggests: libmyodbc, odbc-postgresql, tdsodbc, unixodbc-bin
Breaks: unixodbc (<< 2.2.14p2-3)
Replaces: unixodbc (<< 2.2.14p2-3)
Description: ODBC library for Unix
 UnixODBC is an implementation of the Open DataBase Connectivity standard,
 a database abstraction layer that allows applications to be used with
 many different relational databases by way of a single library.
 .
 This package provides the UnixODBC shared library, libodbc; and
 libodbctxt.so, a sample driver that reads from and writes to flat text
 files.

Package: unixodbc-dev
Architecture: any
Multi-Arch: same
Section: libdevel
Depends: libodbc1 (= ${binary:Version}),
	odbcinst1debian2 (= ${binary:Version}),
	libltdl-dev, ${misc:Depends}
Conflicts: libiodbc2-dev
Description: ODBC libraries for UNIX (development files)
 This package contains the development files (headers and libraries) for
 unixODBC, an implementation of the Open DataBase Connectivity interface
 for Unix systems.  You should not need to install this package unless
 you intend to develop C language applications which use ODBC, or to
 compile ODBC-using applications from source.

Package: odbcinst1debian2
Architecture: any
Multi-Arch: same
Depends: ${shlibs:Depends}, ${misc:Depends}, odbcinst
Pre-Depends: ${misc:Pre-Depends}
Replaces: unixodbc (<< 2.1.1-2)
Conflicts: odbcinst1, odbcinst1debian1
Breaks: libmyodbc (<< 5.1.6-2), tdsodbc (<< 0.82-8),
	odbc-postgresql (<< 1:09.00.0310-1.1)
Description: Support library for accessing odbc ini files
 This package contains the libodbcinst library from unixODBC, a library
 used by ODBC drivers for reading their configuration settings from
 /etc/odbc.ini and ~/.odbc.ini.
 .
 Also contained in this package are the driver setup plugins, which
 describe the features supported by individual ODBC drivers.

Package: odbcinst
Architecture: any
Multi-Arch: foreign
Section: utils
Depends: ${shlibs:Depends}, ${misc:Depends}
Replaces: unixodbc (<< 2.1.1-2), odbcinst1debian1 (<< 2.2.11-20), odbcinst1
Conflicts: odbcinst1
Description: Helper program for accessing odbc ini files
 UnixODBC is an implementation of the Open DataBase Connectivity standard,
 a database abstraction layer that allows applications to be used with
 many different relational databases by way of a single library.
 .
 This package contains the odbcinst helper tool, which allows ODBC driver
 packages to install their own driver settings.
