=== debian/watch ===
version=4
opts=filenamemangle=s/.+\/v?(\d\S+)\.tar\.gz/unixodbc-$1\.tar\.gz/ \
  https://github.com/lurcher/unixodbc/tags .*/v?(\d\S+)\.tar\.gz
