## unixodbc 2.3.9

=== debian/changelog ===
unixodbc (2.3.9-5ubuntu0.1) jammy-security; urgency=medium

  * SECURITY UPDATE: Out-of-bounds write
    - debian/patches/CVE-2024-1013.patch: fix incompatible pointer-to-int
      types in Drivers/Postgre7.1/info.c.
    - CVE-2024-1013

 -- Leonidas Da Silva Barbosa <leo.barbosa@canonical.com>  Thu, 21 Mar 2024 08:18:10 -0300

unixodbc (2.3.9-5) unstable; urgency=medium

  * debian/copyright: Extend copyright to 2022.
  * debian/patches:
    - unixodbc_conf.patch: Replace inclusion of unixodbc_conf.h with
      minimal preprocessor definitions (Closes: #1005887).
    - Remove sizeof_long_int.patch (superseded by unixodbc_conf.patch).

 -- Hugh McMaster <hugh.mcmaster@outlook.com>  Tue, 22 Feb 2022 22:48:14 +1100

unixodbc (2.3.9-4) unstable; urgency=medium

  * debian/control:
    - odbcinst1debian2 breaks odbc-postgresql (<< 1:13.02.0000-2).
    - unixodbc-dev breaks libdbd-odbc-perl (<< 1.61-2).
    - Add odbcinst as a dependency of odbcinst1debian2 for compatibility.

 -- Hugh McMaster <hugh.mcmaster@outlook.com>  Tue, 30 Nov 2021 23:18:15 +1100

unixodbc (2.3.9-3) unstable; urgency=medium

  * debian/control: libodbc1 also depends on libodbccr2 (Closes: #1000465).
  * debian/not-installed: Add upstream-generated odbcinst.ini file.
  * unixodbc-common:
    - Do not install odbcinst.ini as a conffile.
    - Add maintscripts to manage the odbcinst.ini file.

 -- Hugh McMaster <hugh.mcmaster@outlook.com>  Fri, 26 Nov 2021 22:59:37 +1100

unixodbc (2.3.9-2) unstable; urgency=medium

  * Release to unstable.
  * debian/control:
    - Raise Standards-Version to 4.6.0 (no changes needed).
    - Reinstate libodbc1 and odbcinst1debian2 as transitional packages, and
      install compatibility symlinks to the libodbc*2 libraries.
    - Drop the libltdl-dev dependency from unixodbc-dev (Closes: #997870).
  * debian/rules: Don't install the upstream ChangeLog.
  * debian/source/lintian-overrides:
    - Silence some 'very-long-line-length-in-source-file' messages.
  * unixodbc: Don't install the upstream NEWS file.
  * Remove legacy debian/NEWS file.

 -- Hugh McMaster <hugh.mcmaster@outlook.com>  Tue, 23 Nov 2021 21:37:59 +1100

unixodbc (2.3.9-1) experimental; urgency=medium

  * New upstream version (Closes: #971900).
    - Driver logging is now disabled by default (Closes: #740538).
    - Prevent truncation of odbc.ini by only opening the file for writing when
      it is safe to do so (Closes: #885463, #885472).
  * New maintainer: Hugh McMaster.
    - Thank you to Steve Langasek for maintaining unixODBC over the years.
  * libodbc2 has replaced libodbc1:
    - Update install and symbols files.
    - Add Build-Depends-Package meta-information field to the symbols file.
    - Remove legacy libodbc1 files (links, lintian-overrides, dirs, postrm).
  * Split libodbccr2 from libodbc2.
  * Split libodbcinst2 from odbcinst1debian2.
  * ODBC drivers and driver config modules are no longer installed.
    - Please switch to packages supplied by ODBC driver vendors.
  * Move the ODBC configuration files/dirs to the new unixodbc-common package.
  * unixodbc-dev: autotest.h and unixodbc_conf.h are no longer packaged.
  * debian/changelog: Fix a typo in a function name.
  * debian/control:
    - Switch to debhelper-compat v13.
    - Remove build-dependency on dh-exec.
    - Update Maintainer field.
    - Update package descriptions (Closes: #471900).
    - Unify formatting of "Open Database Connectivity".
    - Remove unneeded Breaks+Replaces fields on various packages.
    - Remove unneeded Conflicts fields on various packages.
    - Update package descriptions and dependencies.
    - No longer Suggest libmyodbc or unixodbc-bin (packages not installable).
    - New library packages: libodbc2, libodbccr2 and libodbcinst2.
    - New package for configuration files: unixodbc-common.
    - Update field order in Source stanza.
    - Add Rules-Requires-Root: no.
    - Add Vcs-* fields.
    - Raise Standards-Version to 4.5.1 from 4.1.4.
  * debian/copyright: Update for unixODBC 2.3.9 and 2021.
  * debian/patches:
    - Drop patches applied upstream: apple-altivec-defined.patch,
      makefile-am-destdir.patch, fix-DriverManager-exports.patch,
      odbcinst.ini.5-spelling.patch.
    - Drop iniopen.patch to avoid breaking third-party applications that rely
      on the unpatched file-creation behaviour.
    - Refresh and forward drvcfg-spelling.patch and multiarch-libltdl.patch.
    - Forward export-odbcinst-functions.patch upstream.
    - Add a patch to fix spelling errors in the PostgreSQL ODBC driver.
    - Add a patch to apply roman formatting instead of generating 'registered'
      symbols throughout the upstream man pages.
    - Add a patch to simplify the generation of ODBC driver config modules.
    - Add a patch to #define SIZEOF_LONG_INT using a compiler macro extension.
  * debian/rules:
    - Remove copyright statement.
    - Update configure flags so we use the system libltdl package.
    - Remove configure flags enabling the build of legacy ODBC drivers
      and driver config modules.
    - Remove unneeded dh_auto_install, dh_makeshlibs and dh_link overrides.
  * debian/watch: Point to upstream's FTP server.
  * Add Debian helper files: gbp.conf, not-installed and upstream/metadata.
  * Update symbols files and add Build-Depends-Package meta-information fields.
  * Remove legacy shell script: update-manifest.sh.

 -- Hugh McMaster <hugh.mcmaster@outlook.com>  Mon, 19 Apr 2021 23:25:30 +1000
