=== debian/watch ===
version=4
ftp://ftp.unixodbc.org/pub/unixODBC/unixODBC-(\d[\.\d]+)@ARCHIVE_EXT@
