## unixodbc 2.3.11

=== debian/changelog ===
unixodbc (2.3.11-2) unstable; urgency=medium

  * debian/control: Update Standards-Version to 4.6.1 (no changes needed).
  * unixodbc-dev: Install unixodbc.h and unixODBC/unixodbc_conf.h into a
    multi-arch include directory.

 -- Hugh McMaster <hugh.mcmaster@outlook.com>  Mon, 23 May 2022 21:14:45 +1000

unixodbc (2.3.11-1) unstable; urgency=medium

  * New upstream version 2.3.11:
    - Connection pooling via wide connection functions.
    - Various bug fixes and improvements.
  * debian/copyright: Update for unixODBC 2.3.11.
  * debian/patches:
    - Drop all patches (applied upstream).
    - Add patch to prevent installation of config.h.
  * debian/not-installed: Update excluded files list.
  * debian/rules: Build with a multi-arch ODBC driver path.
  * debian/watch: Switch to upstream's GitHub repository.
  * unixodbc-dev: Install unixodbc.h and unixODBC/unixodbc_conf.h.
  * Drop source Lintian overrides (no longer needed).

 -- Hugh McMaster <hugh.mcmaster@outlook.com>  Fri, 13 May 2022 22:26:21 +1000
