=== debian/control ===
--- 
+++ 
@@ -1,14 +1,13 @@
 Source: unixodbc
 Section: libs
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Hugh McMaster <hugh.mcmaster@outlook.com>
+Maintainer: Hugh McMaster <hugh.mcmaster@outlook.com>
 Build-Depends:
  debhelper-compat (= 13),
  libreadline-dev,
  libltdl-dev
 Build-Conflicts: unixodbc-dev
-Standards-Version: 4.6.0
+Standards-Version: 4.6.1
 Rules-Requires-Root: no
 Homepage: http://www.unixodbc.org/
 Vcs-Git: https://salsa.debian.org/debian/unixodbc.git
